Subject: Re: [PATCH] meson: regenerate config-list.h when Documentation changes

From: Patrick Steinhardt <[email-masked]>
Date: Wed, 11 Feb 2026 12:00:20 +0100

On Wed, Feb 11, 2026 at 10:57:10AM +0000, Phillip Wood wrote:
> On 11/02/2026 09:44, Phillip Wood wrote:
> > On 11/02/2026 07:42, Patrick Steinhardt wrote:
> > > On Mon, Feb 09, 2026 at 04:50:06PM -0500, D. Ben Knoble wrote:
> > > > > On Sat, Feb 07, 2026 at 04:59:17PM -0500, D. Ben Knoble wrote:
> > > [snip]
> > > > Only, things are behaving oddly. For example:
> > > > 
> > > >      λ meson setup build2
> > > >      λ ninja -C build2
> > > > 
> > > > works fine, but
> > > > 
> > > >      λ ls -l build2/config*
> > > >      -rw-r--r-- 1 benknoble benknoble 17169  9 févr. 16:39
> > > > build2/ config-list.h
> > > > 
> > > > I don't see the dependency file.
> 
> I've just had a play with this and I don't see the dependency file either -
> I wonder if ninja deletes it after it has read it.

Yeah, that's expected. Meson will prune the depfile after consuming it.

> If I delete Documentation/config/add.adoc then config-list.h is rebuilt.
> However if I edit generate-configlist.sh it is not rebuilt - I guess we need
> to add the script to the dependency file.

True. This is typically handled automatically by Meson, but in our case
it doesn't know that the string we pass to the shell refers to a script,
and that it should thus cause a rebuild if it changes.

Patrick